    .set    noreorder
    .set    mips32
    .set    noat
    .text

_start: .global _start

    #
    # SDRAM 128 MiB at 0x80000000
    #
    # We set MPORT_PLL, and gate for it
    # then we configure SDRAM with MPORTs registers

    # CR_PLL0
    # XTI         10  MHz
    # CPU_PLL     125 MHz 
    # MPORT_PLL   80  MHz
    li $5, 0xb82f4000
    li $6, 0x00009099
    nop
    sw $6, 0x0($5)

    # CLK_EN
    # All enabled
    li $5, 0xb82f4004
    li $6, 0xffffffff
    nop
    sw $6, 0x0($5)

    # CSR_EXT. Disable hemming codes
    li $5, 0xb82f1024
    li $6, 0x10
    nop
    sw $6, 0x0($5)

    # SDRAM memory setup on MCT-06EM
    # CSCON0. CSMASK = 0xf8, CSBA = 0x0
    # Phys addresses 0000_0000 : 07FF_FFFF
    li $5, 0xb82f1000
    li $6, 0x00b000f8
    nop
    sw $6, 0x0($5)

    # SRAM memory setup on MCT-06EM
    # CSCON1. CSMASK = 0xf8, CSBA = 0x08
    # Phys addresses 0800_0000 : 089F_FFFF
    li $5, 0xb82f1004
    li $6, 0x009f08f8
    nop
    sw $6, 0x0($5)

    # Parallel flash memory setup on MCT-06EM
    # CSCON3. WS = 0xF
    # Wait WS cycles before access to parallel flash
    li $5, 0xb82f100c
    li $6, 0x000F0000
    nop
    sw $6, 0x0($5)

    # SDRCON
    li $5, 0xb82f1014
    li $6, 0x01ad0030
    nop
    sw $6, 0x0($5)

    # SDRTMR
    li $5, 0xb82f1018
    li $6, 0x00f50222
    nop
    sw $6, 0x0($5)

    # SDRCSR
    li $5, 0xb82f101c
    li $6, 0x40
    nop
    sw $6, 0x0($5)

    # SDRCSR
    li $5, 0xb82f101c
    li $6, 0x1
    nop
    sw $6, 0x0($5)

    la      $4, _spi_boot_2_start
    jr      $4
    nop
