
#ifndef BASE_MEM
#define BASE_MEM    0xB8001000        /* Load (CRAM) Base Address */
#endif
#ifndef FIRM_ENTRY
#define FIRM_ENTRY  0x82000000        /* JUMP to Firmware Entry Point (U-Boot as default) */
#endif
#ifndef FIRM_SIZE
#define FIRM_SIZE   0x4000            /* FLASH: Firmware size (to be loaded) */
#endif
#ifndef FIRM_BASE
#define FIRM_BASE   0x1000            /* FLASH: Firmware base */
#endif

#if defined(TARGET_MCT04)
    #define BASE_SPI (0xB82F3800)
    #define TSR_TRUN ((1 << 10))
    #define MFBSP_CLK_CR_PLL_OFF (0x0)
    #define MFBSP_CLK_CR_PLL_MSK (0x7f)
#elif defined(TARGET_MCT05)
    #define BASE_SPI (0xB82F3800)
    #define TSR_TRUN ((1 << 7))
    #define MFBSP_CLK_CR_PLL_OFF (0x0)
    #define MFBSP_CLK_CR_PLL_MSK (0x7f)
#elif defined(TARGET_MCT06)
    #define BASE_SPI (0xB8303800)
    #define TSR_TRUN ((1 << 7))
    #define MFBSP_CLK_CR_PLL_OFF (0x0)
    #define MFBSP_CLK_CR_PLL_MSK (0x7f)
    #define TCTR_RATE 0x20
    #define RCTR_RATE 0x24
#elif defined(TARGET_MCT07)
    #define BASE_SPI (0xB82FA000)
    #define TSR_TRUN ((1 << 7))
    #define MFBSP_CLK_CR_PLL_OFF (0x0)
    #define MFBSP_CLK_CR_PLL_MSK (0x7f)
    #define TCTR_RATE 0x20
    #define RCTR_RATE 0x24
#elif defined(TARGET_NVCOM05)
    #define BASE_SPI (0xB82F8000)
    #define TSR_TRUN ((1 << 7))
    #define MFBSP_CLK_CR_PLL_OFF (0x18)
    #define MFBSP_CLK_CR_PLL_MSK (0xff)
    #define TCTR_RATE 0x20
    #define RCTR_RATE 0x24
#elif defined(TARGET_MC30SF6)
    #define BASE_SPI (0xB82F6000)
    #define TSR_TRUN ((1 << 10))
    #define MFBSP_CLK_CR_PLL_OFF (0x0)
    #define MFBSP_CLK_CR_PLL_MSK (0x7f)
#else
    #error Module not supported
#endif
